new;
library option,pgraph;
optionSet;

cls;

S0 = 100;
K = seqa(90,1,21);
sigma = 0.20~0.15~0.25;
tau = 1/12;
b = 0.05;
r = 0.05;

let Skew = 0.00 0.01 -0.01;
nSkew = rows(Skew);

pqgwin many;

i = 1;
do until i > nSkew;
  p = Skew[i];
  C = BinarySmiled(S0,K,sigma,tau,b,r,p); 
  Delta = BinarySmiled_Delta(S0,K,sigma,tau,b,r,p); 
  Gamma_ = BinarySmiled_Gamma(S0,K,sigma,tau,b,r,p); 
  Vega = BinarySmiled_Vega(S0,K,sigma,tau,b,r,p); 

  graphset;
    begwind;
    window(2,2,0);

    _pdate = ""; _pnum = 2; _pframe = 0;
    _pltype = 3|6|6; _pstype = 8|1|2; _plctrl = 0|1|1; _plwidth = 10;
    fonts("simplex simgrma");
    xtics(90,110,5,2);
    xlabel("\216K");

    _pnumht = 0.25; _paxht = 0.25; _ptitlht = 0.25; _pysci = 0;
    title(ftos(100*p,"\216Skew = %lf",1,0) $+ "%");

    setwind(1);
      ytics(0,1,0.2,2);
      ylabel("\216BCC");
      _plegstr = "\202s\201 = 20%\000\202s\201 = 15%\000\202s\201 = 25%";
      _plegctl = {2 6 6.5 4.5};
      xy(K,C);
      _plegctl = 0;
    setwind(2);
      ytics(0,0.1,0.02,2);
      ylabel("\216\202D\201");
      xy(K,Delta);
    setwind(3);
      ytics(-0.015,0.015,0.005,2);
      ylabel("\216\202G\201");
      xy(K,Gamma_);
    setwind(4);
      ytics(-2.1,2.1,0.7,2);
      ylabel("\216\202u\201");
      xy(K,Vega);
  endwind;

  i = i + 1;
endo;
