new;
library option,pgraph;

K = 100;
r = 0.05;               
sigma = 0.20;      
tau = 90/365;      
b = 0;

S0 = seqa(90,1,21);

_Option_Type = "call";

C1 = EuropeanBS(S0,K,sigma,tau,b,r);
lambda = .5;
C2 = EuropeanCCL(S0,K,sigma,tau,b,r,lambda);
lambda = 5;
C3 = EuropeanCCL(S0,K,sigma,tau,b,r,lambda);

sv = sigma|lambda;
{param,f0,g0,retcode} = QNewton(&Calibrage,sv);
sigma = param[1];
lamba = param[2];
C4 = EuropeanCCL(S0,K,sigma,tau,b,r,lambda);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; 
  xlabel("\216S]0[");
  ylabel("\216Option Price"); 
  _plegctl = 1;
  _plegstr = "BS\000CCL (\202l\201 = .5)\000CCL (\202l\201 = 5)\000CCL calibrated with BS";
  xy(S0,C1~C2~C3~C4);

proc Calibrage(param);
  local sigma,lambda,RSS;
  sigma = param[1];
  lambda = param[2];
  RSS = sumc((C1 - EuropeanCCL(S0,K,sigma,tau,b,r,lambda))^2);
  retp(RSS);
endp;
 
  