new;
library option,gWizard,pgraph;

cls;

S0 = 100;
K = 100;
sigma = 0.20;
tau = 1;
r = 0.05;
b = r;
N = 7;

{C,tree} = AmericanCRR(S0,K,sigma,tau,b,r,N);

treeC = vread(tree,"CallPut");
treeS = vread(tree,"S");

Tree_S = vread(tree,"S");
Tree_CallPut = vread(tree,"callput");

print "Tree of the underlying asset price";
call PrintTree(Tree_S,0);

print "Tree of the option price";
call PrintTree(Tree_CallPut,0);

print ftos(C,"Option price = %lf",4,4);

N = 20;
{C,tree} = AmericanCRR(S0,K,sigma,tau,b,r,N);
tree = vread(tree,"CallPut");

graphset;
  gBuffer = PlotTree(tree,4);
  call gWizardInfo(gBuffer);
  _paxht = 0.20; _pnumht = 0.20; _ptitlht = 0.20;
  gWizardSet(gBuffer,1);
  _psym[.,4] = 4*ones(rows(_psym),1);
  _psym[.,5] = ceil(rndu(rows(_psym),1)*14);
  _pline[.,8] = ceil(rndu(rows(_pline),1)*14);
  graphprt("-c=1 -cf=crr4.eps");
  gWizardDraw(gBuffer,1);
